Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 599019 - bluetooth applet does not come back after unplug / replug of bluetooth adapter
Summary: bluetooth applet does not come back after unplug / replug of bluetooth adapter
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-bluetooth
Version: 13
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Bastien Nocera
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-06-02 14:23 UTC by Hans de Goede
Modified: 2011-06-03 09:53 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-06-03 09:53:27 UTC


Attachments (Terms of Use)

Description Hans de Goede 2010-06-02 14:23:32 UTC
Due to a bug in dell-laptop I currently have the dell-laptop module blacklisted, yet the rfkill switch on the laptop still functions very much for the bluetooth, as this simply results in removing the usb device from the usb bus (and thus the hci0 rfkill device from the device tree).

This all works well when bluetooth is enabled, the one and only bluetooth device disappears, the icon hides it self, turn the rfkill switch back on, the icon show agains. But when bluetooth is disabled in the applet, then upon activating the rfkill switch the icon goes away, but it does not return when the switch gets moved to the rf on position again. Even though the hci device does get re-attached to the usb bus by the hardware and discovered by the kernel.

Going to bluetooth-preferences and pressing turn bluetooth on there does make the icon re-appear.



p.s.

With the dell-laptop module loaded there are 2 rfkill devices for bluetooth, one made by the dell-laptop module called dell-bluetooth, and one called hci0 made by the hci driver. When the switch gets moved to disabled the hci0 device disappears (as the usb device gets "unpluggd") but the dell-bluetooth rfkill device stays, so the icon never gets hidden (it correctly shows a disabled status, as reported by the only remaining bluetooth rfkill device).

Comment 1 Bastien Nocera 2010-06-18 16:12:29 UTC
Could you please attach the output of "bluetooth-applet" when that happens, as well the output of "rfkill list"?

Also, please put reproducer instructions in lists, rather than in prose, it makes it very hard to read, and reproduce.

Comment 2 Hans de Goede 2010-06-21 12:36:51 UTC
OK, reproduction instructions, with logs:

1. startup laptop, killswitch in the bluetooth (and wifi) on position


2. login, kill bluetooth-applet, start bluetooth applet, bluetooth applet says:
** Message: adding killswitch idx 0 state 1
** Message: killswitch 0 is 1
** Message: killswitches state 1
** Message: killswitch 0 is 1
** Message: killswitches state 1

And rfkill says:
0: hci0: Bluetooth
	Soft blocked: no
	Hard blocked: no
1: phy0: Wireless LAN
	Soft blocked: no
	Hard blocked: no

And lsusb says:
Bus 008 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 007 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 006 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 005 Device 002: ID 0a5c:5800 Broadcom Corp. BCM5880 Secure Applications Processor
Bus 005 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 004 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 003 Device 005: ID 413c:8156 Dell Computer Corp. Wireless 370 Bluetooth Mini-card
Bus 003 Device 004: ID 413c:8158 Dell Computer Corp. Integrated Touchpad / Trackstick
Bus 003 Device 003: ID 413c:8157 Dell Computer Corp. Integrated Keyboard
Bus 003 Device 002: ID 0a5c:4500 Broadcom Corp. BCM2046B1 USB 2.0 Hub (part of BCM2046 Bluetooth)
Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 002 Device 002: ID 12d1:1001 Huawei Technologies Co., Ltd. E620 USB Modem
Bus 002 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 001 Device 004: ID 0c45:63f8 Microdia Sonix Integrated Webcam
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub


3. Put killswitch in the radio off position, bluetooth-applet says:
** Message: RFKILL event: idx 1 type 1 op 2 soft 1 hard 1

** Message: RFKILL event: idx 1 type 1 op 2 soft 1 hard 1

** Message: RFKILL event: idx 0 type 2 op 1 soft 0 hard 0

** Message: removing killswitch idx 0

And the bluetooth tray icon disappears, rfkill says:
1: phy0: Wireless LAN
	Soft blocked: yes
	Hard blocked: yes

And lsusb says:
Bus 008 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 007 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 006 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 005 Device 002: ID 0a5c:5800 Broadcom Corp. BCM5880 Secure Applications Processor
Bus 005 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 004 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 002 Device 002: ID 12d1:1001 Huawei Technologies Co., Ltd. E620 USB Modem
Bus 002 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 001 Device 004: ID 0c45:63f8 Microdia Sonix Integrated Webcam
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub


4. Put rfkill switch back in the on position, bluetooth-applet says:
** Message: RFKILL event: idx 1 type 1 op 2 soft 1 hard 0

** Message: RFKILL event: idx 1 type 1 op 2 soft 0 hard 0

** Message: RFKILL event: idx 2 type 2 op 0 soft 0 hard 0

** Message: adding killswitch idx 2 state 1
** Message: killswitch 2 is 1
** Message: killswitches state 1
** Message: RFKILL event: idx 2 type 2 op 2 soft 0 hard 0

** Message: killswitch 2 is 1
** Message: killswitches state 1

And the bluetooth tray icon re-appears, rfkill and lsusb is the same as before
(see 2.)


5. Disable bluetooth using the tray icon, bluetooth-applet says:
** Message: RFKILL event: idx 2 type 2 op 2 soft 1 hard 0

** Message: updating killswitch status 2
** Message: killswitch 2 is 0
** Message: killswitches state 0
** Message: killswitch 2 is 0
** Message: killswitches state 0

And rfkill says:
1: phy0: Wireless LAN
	Soft blocked: no
	Hard blocked: no
2: hci0: Bluetooth
	Soft blocked: yes
	Hard blocked: no

And lsusb is unchanged


6. Put the killswitch in the radio off position, bluetooth-applet says:
** Message: RFKILL event: idx 1 type 1 op 2 soft 0 hard 1

** Message: RFKILL event: idx 1 type 1 op 2 soft 1 hard 1

** Message: RFKILL event: idx 2 type 2 op 1 soft 1 hard 0

** Message: removing killswitch idx 2

And the bluetooth tray icon disappears, rfkill says:
1: phy0: Wireless LAN
	Soft blocked: yes
	Hard blocked: yes

And lsusb no longer contains the bluetooth device entries as in 3.


7. Put the killswitch back in to the radio on position, bluetooth applet says:
** Message: RFKILL event: idx 1 type 1 op 2 soft 1 hard 0

** Message: RFKILL event: idx 1 type 1 op 2 soft 0 hard 0

** Message: RFKILL event: idx 3 type 2 op 0 soft 0 hard 0

** Message: adding killswitch idx 3 state 1
** Message: killswitch 3 is 1
** Message: killswitches state 1
** Message: RFKILL event: idx 3 type 2 op 2 soft 1 hard 0

** Message: updating killswitch status 3
** Message: killswitch 3 is 0
** Message: killswitches state 0
** Message: killswitch 3 is 0
** Message: killswitches state 0

And the bluetooth tray icon does *NOT* re-appear, rfkill says:
1: phy0: Wireless LAN
	Soft blocked: no
	Hard blocked: no
3: hci0: Bluetooth
	Soft blocked: yes
	Hard blocked: no

And lsusb shows the bluetooth entries again as under 2.


8. Enable bluetooth from the Preferences -> Bluetooth menu, blue-tooth applet says:
** Message: RFKILL event: idx 3 type 2 op 2 soft 0 hard 0

** Message: updating killswitch status 3
** Message: killswitch 3 is 1
** Message: killswitches state 1
** Message: killswitch 3 is 1
** Message: killswitches state 1

And *now* the bluetooth tray-icon re-appears, rfkill says:
1: phy0: Wireless LAN
	Soft blocked: no
	Hard blocked: no
3: hci0: Bluetooth
	Soft blocked: no
	Hard blocked: no

And lsusb is unchanged.


After typing all this it looks like the bug can be summarized as when a new bluetooth killswitch shows up, which is initially soft blocked, the tray icon does not show.

Comment 3 Bastien Nocera 2010-08-03 14:15:16 UTC
(In reply to comment #2)
<snip>
> After typing all this it looks like the bug can be summarized as when a new
> bluetooth killswitch shows up, which is initially soft blocked, the tray icon
> does not show.    

Right, I believe I fixed this one already upstream.

Comment 4 Hans de Goede 2010-08-03 14:53:18 UTC
So simple reproduction instructions (I just tried with git 2.30 branch):

1) Take a dell laptop, with bluetooth and without the dell-laptop module loaded.
2) Boot it up with the kill switch in the radio on state
3) disable bluetooth using the tray icon
4) put killswitch in radio off position (icon goes away which is fine)
5) put the killswitch back in the radio on position, icon does not come back.

Comment 5 Bug Zapper 2011-06-02 12:20:28 UTC
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 6 Hans de Goede 2011-06-03 09:53:27 UTC
This seems to be fixed in F-15, things now work as expected even with the dell_laptop module unloaded.


Note You need to log in before you can comment on or make changes to this bug.